<?php
/****************************************************************************//**
 * @file	accexception.inc.php
 * @brief	Gestion des exceptions
 *
 * Ce fichier contient la classe de gestion des exceptions
 *
 * @author Eric
 * @version 1.0
 *********************************************************************************/


/****************************************************************************//**
 * @brief Classe accException
 *
 * Classe de gestion des exceptions, elle hérite de la classe générique Exception
 * Caractéristiques de la classe :
 * les attributs hérités de la classe Exception
 * protected $message;
 * protected $file;
 * protected $code;
 * protected $line;
 *
 *********************************************************************************/

class accException extends Exception {
	/****************************************************************************//**
	 * Déclaration des variables
	 *********************************************************************************/
	protected $message;
	protected $file;
	protected $code;
	protected $line;

	/****************************************************************************//**
	 * Déclaration des méthodes
	 *********************************************************************************/

	/****************************************************************************//**
	 * @brief Constructeur
	 *
	 * Initialisation de l'objet
	 *
	 * @param 	$msg (string)
	 *********************************************************************************/
	public function __construct($msg)
	{
		parent::__construct($msg);
	}

	/****************************************************************************//**
	 * @brief getException
	 *
	 * Retourne le message d'erreur
	 *
	 * @param 	aucun
	 * @return 	$msg (string)
	 *********************************************************************************/
	public function getException()
	{
		$msg = "L'exception suivante a été généré : ". "<br>";
		$msg .= "Message : " . $this->getMessage() . "<br>";
		$msg .= "Fichier : " . $this->getFile() . "<br>";
		$msg .= "Numéro de ligne : " . $this->getLine() . "<br>";
		return $msg;
	}

	/****************************************************************************//**
	 * @brief getExceptionExit
	 *
	 * Affiche le message d'erreur et quitte le programme
	 *
	 * @param 	aucun
	 * @return 	aucun
	 *********************************************************************************/
	public function getExceptionExit()
	{
		echo $this->getException();
		exit;
	}
}

