<?php
/****************************************************************************//**
 * @file	accindexhtml.inc.php
 * @brief	Description de la page HTML
 *
 * Ce fichier contient la description de tous les éléments apparaissant sur la page
 * d'index.
 * La partie Html a été séparé, pour l'instant, du fichier index.php pour faciliter
 * la lecture et les modifications
 *
 * @author Eric
 * @version 1.0
 *********************************************************************************/
?>
<head>
<title>Local Accounting</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="stylesheet" media="screen" type="text/css" title="design"
	href="css/design.css" />
</head>
<body>
<h1>Local Accounting</h1>
<div class="BlocTitre"></div>
<form name=formulaire action="<?php echo $_SERVER["PHP_SELF"] ; ?>"
	method="post" onSubmit="PostSelect(this.name)">
<p>Lien vers les graphes fixes : <a
	href="./fixe">"Graphes fixes"</a></p>
<!-- Liste des types de graphes -->
<div class="BlocTypeGraphe">
<fieldset><legend>Type de graphe</legend> <select size="1"
	name="ListGraphType">
	<option
	<?php if ($form_graph_type == "percwalltime"){echo "selected=\"selected\"";} ?>
		value="percwalltime">Occupation des ressources (% walltime)</option>
	<option
	<?php if ($form_graph_type == "percwalltimewa"){echo "selected=\"selected\"";} ?>
		value="percwalltimewa">Occupation des ressources (% walltime) sans le
	temps libre</option>
	<option
	<?php if ($form_graph_type == "numcputime"){echo "selected=\"selected\"";} ?>
		value="numcputime">Dur&eacute;e d'occupation des ressources (cputime)
	</option>
	<option
	<?php if ($form_graph_type == "numwalltime"){echo "selected=\"selected\"";} ?>
		value="numwalltime">Dur&eacute;e d'occupation des ressources
	(walltime)</option>
	<option
	<?php if ($form_graph_type == "numwalltimewa"){echo "selected=\"selected\"";} ?>
		value="numwalltimewa">Dur&eacute;e d'occupation des ressources
	(walltime) sans le temps libre</option>
	<option
	<?php if ($form_graph_type == "daywalltime"){echo "selected=\"selected\"";} ?>
		value="daywalltime">Dur&eacute;e d'occupation des ressources
	(walltime) par jour</option>
	<option
	<?php if ($form_graph_type == "percnbjobs"){echo "selected=\"selected\"";} ?>
		value="percnbjobs">R&eacute;partition des jobs termin&eacute;s (%)</option>
	<option
	<?php if ($form_graph_type == "numnbjobs"){echo "selected=\"selected\"";} ?>
		value="numnbjobs">Nombre de jobs termin&eacute;s</option>
	<option
	<?php if ($form_graph_type == "daynbjobs"){echo "selected=\"selected\"";} ?>
		value="daynbjobs">Nombre de jobs termin&eacute;s par jour</option>
	<option
	<?php if ($form_graph_type == "numwalltimenbjobs"){echo "selected=\"selected\"";} ?>
		value="numwalltimenbjobs">Nombre de jobs termin&eacute;s par jour et
	dur&eacute;es d'occupation</option>
	<option
	<?php if ($form_graph_type == "avgtimes"){echo "selected=\"selected\"";} ?>
		value="avgtimes">Dur&eacute;es moyennes des jobs termin&eacute;s</option>
	<option
	<?php if ($form_graph_type == "avgmemjobs"){echo "selected=\"selected\"";} ?>
		value="avgmemjobs">M&eacute;moire moyenne et maximale utilis&eacute;e
	par les jobs termin&eacute;s</option>
	<option
	<?php if ($form_graph_type == "realmemjobs"){echo "selected=\"selected\"";} ?>
		value="realmemjobs">Distribution de m&eacute;moire r&eacute;elle
	utilis&eacute;e par les jobs termin&eacute;s</option>
	<option
	<?php if ($form_graph_type == "virtualmemjobs"){echo "selected=\"selected\"";} ?>
		value="virtualmemjobs">Distribution de m&eacute;moire virtuelle
	utilis&eacute;e par les jobs termin&eacute;s</option>
	<option
	<?php if ($form_graph_type == "efficiencyjobs"){echo "selected=\"selected\"";} ?>
		value="efficiencyjobs">Efficacit&eacute; des jobs termin&eacute;s</option>
	<option
	<?php if ($form_graph_type == "testjpgraph"){echo "selected=\"selected\"";} ?>
		value="testjpgraph">Test JPGRAPH</option>
</select></fieldset>
</div>

<!-- Liste des groupes -->
<div class="BlocChoixGroupe">
<fieldset><legend>Choix des groupes/Accounts</legend>
<p><select multiple="multiple" size="17" name="ListGroup">
<?php print $sellist; ?>
</select>

</fieldset>
</div>

<!-- Choix des dates -->
<div class="BlocIntervalDate">
<fieldset><legend>P&eacute;riode</legend> <!-- Correspond à la partie spécifique pour l'utilisation des calendriers -->
<script language="JavaScript" src="./inc/calendar/calendar_eu.js"></script>
<link rel="stylesheet" href="./inc/calendar/calendar.css">
<input type="text" name="datestart"
	value="<?php print $form_date_start; ?>" /> <script
	language="JavaScript">
					var d_selected_start = new Date();
					d_selected_start.setDate(<?php print $form_date_start; ?>);
					var s_selected_start = f_tcalGenerDate(d_selected_start);
					new tcal ({
						'formname': 'formulaire', 	    // Nom du formulaire
						'controlname': 'datestart', 	// Nom de la zone text
						'selected' : s_selected_start,  // Date sélectionnée
						'today' : s_selected_start      // Date du jour
					});
				</script> <input type="text" name="dateend"
	value="<?php print $form_date_end; ?>" /> <script language="JavaScript">
					var d_selected_end = new Date();
					d_selected_end.setDate(<?php print $form_date_end; ?>);
					var s_selected_end = f_tcalGenerDate(d_selected_end);
					new tcal ({'formname': 'formulaire', 'controlname': 'dateend', 'selected' : s_selected_end, 'today' : s_selected_end});
	
				</script></fieldset>
</div>
<!-- Groupement des périodes -->
<div class="BlocChoixGroupementPeriode">
<fieldset><legend>Groupement</legend> <input
<?php if ($form_option_periode == "day"){echo "checked=\"checked\"";} ?>
	type="radio" name="optionperiode" value="day" />par jour <input
	<?php if ($form_option_periode == "week"){echo "checked=\"checked\"";} ?>
	type="radio" name="optionperiode" value="week" />par semaine <input
	<?php if ($form_option_periode == "month"){echo "checked=\"checked\"";} ?>
	type="radio" name="optionperiode" value="month" />par mois (Non
applicable pour tous les graphes)</fieldset>
</div>

<!-- Type de jobs -->
<div class="BlocChoixTypeJobs">
<fieldset><legend>Type de jobs</legend> <input
<?php if ($form_option_typejobs == "all"){echo "checked=\"checked\"";} ?>
	type="radio" name="optiontypejobs" value="all" />Tous <input
	<?php if ($form_option_typejobs == "local"){echo "checked=\"checked\"";} ?>
	type="radio" name="optiontypejobs" value="local" />Locaux/Externes <input
	<?php if ($form_option_typejobs == "mpi"){echo "checked=\"checked\"";} ?>
	type="radio" name="optiontypejobs" value="mpi" /> S&eacute;rie/MPI</fieldset>
</div>

<!-- Surcharge -->
<div class="BlocChoixSurcharge">
<fieldset><legend>Surcharge</legend> <input
<?php if ($form_option_surcharge == "avec"){echo "checked=\"checked\"";} ?>
	type="radio" name="optionsurcharge" value="avec" />Avec surcharge <input
	<?php if ($form_option_surcharge == "sans"){echo "checked=\"checked\"";} ?>
	type="radio" name="optionsurcharge" value="sans" />Sans surcharge</fieldset>
</div>

<!-- Surcharge -->
<div class="BlocChoixProcs">
<fieldset><legend>Type de procs</legend> <input
<?php if ($form_option_procs == "procs"){echo "checked=\"checked\"";} ?>
	type="radio" name="optionprocs" value="procs" />Procs <input
	<?php if ($form_option_procs == "vprocs"){echo "checked=\"checked\"";} ?>
	type="radio" name="optionprocs" value="vprocs" />Vprocs</fieldset>
</div>

<!-- Submit -->
<div class="BlocSubmit">
<fieldset><input type="submit" name="submit"
	value="           Valider           " /></fieldset>
</div>
<br>
</form>
<!-- // Sélection des groupes -->
<script> 
		function PostSelect(liste)
			{
			// Nombre d'item de la liste 
			NbCol1 = document.forms[liste].elements.ListGroup.length;
			// Traitement du tableau
			document.forms[liste].elements.ListGroup.name = "ListGroup[]";
			// On soumet le formulaire
			document.forms[liste].submit();
			}
		</script>