<?php

/****************************************************************************//**
 * @file	Accparam.inc.php
 * @brief	Gestion du fichier de paramètres
 *
 * Lecture du fichier de paramètres de l'application
 *
 * @author Eric
 * @version 0.5
 *********************************************************************************/

// Lecture du fichier de paramètres
$param_dir  		= "./input";
$param_file  		= "$param_dir/accounting.in";      		// Déclaration du fichier de paramètres
$param_file_sample  = "$param_dir/accounting.sample.in";  	// Modèle du fichier de paramètres


if (!file_exists("$param_file"))	// Test si le fichier de paramètres existe
{
	print "ATTENTION : Le fichier $param_file n'existe pas, ";
	print "il faut le cr&eacute;er &agrave; partir de $param_file_sample";
	exit();
}

// Lecture du fichier de paramètres et affectation des variables de configuration
$tabfic=file($param_file);
$param_mysql_servername  	= trim($tabfic[1]);  // Nom serveur Mysql
$param_mysql_dbname      	= trim($tabfic[3]);  // Nom de la base de donnees
$param_mysql_login       	= trim($tabfic[5]);  // Login pour accès à la base de données
$param_mysql_passwd      	= trim($tabfic[7]);  // Mot de passe pour accès à la base de données
$param_jpgraph_path	  		= trim($tabfic[9]);  // Répertoire d'installation de jpgraph
$param_apache_path			= trim($tabfic[11]); // Répertoire Apache
$param_web_path   			= trim($tabfic[13]); // Répertoire page web de l'accounting
$param_web_login  			= trim($tabfic[15]); // Login pour accès à la page web de l'accounting
$param_web_passwd 			= trim($tabfic[17]); // Mot de passe pour accès à la page web de l'accounting
$param_images_path 			= trim($tabfic[19]); // Répertoire de stockage des graphes
$param_site	 				= trim($tabfic[21]); // Spécificité du site
$param_abs_images_path		= $param_apache_path.$param_images_path;
$full_graph_filename 		= $param_apache_path.$param_images_path."/graphselection.png";
$web_graph_filename			= $param_images_path."/graphselection.png";

?>